For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Payments
          • Stored Instruments (Beta)
              • POSTCreate Instrument Access Token
              • GETList Instruments
              • POSTBulk Import Instruments
              • PUTUpdate Instrument
              • DELBulk Delete Instruments
              • DELRemove Instrument from Store and Gateway
              • GETList Available Payment Method Ids
        • Methods
          • Transactions (Beta)
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminPaymentsStored Instruments (Beta)Manage Instruments

Update Instrument

Beta
PUT
https://api.bigcommerce.com/stores/:store_hash/v3/payments/stored-instruments
PUT
/stores/:store_hash/v3/payments/stored-instruments
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "token": "a3f5b7c9d8e24f1a9b6c7d8e9f012345"
>}'
1{
2 "data": {
3 "token": "84596bea275fa254da820056bdc3e495bdf01fd11c51b0336347d447ee16200c",
4 "type": "paypal_account",
5 "is_default": true,
6 "email": "bc-buyer-paypal-express@bigcommerce.com"
7 },
8 "meta": {}
9}

Updates an instrument in store and can update billing address in the provider’s vault. As of this writing, only the Braintree gateway supports updating customer billing addresses. If billing_address is included in the request, an attempt will be made to update the billing address at provider’s vault.

Was this page helpful?
Previous

Bulk Import Instruments

Next

Bulk Delete Instruments

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Create Payments | create | `store_payments_access_token_create` | | Get Payment Methods | read-only | `store_payments_methods_read` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
tokenstringRequired
billing_addressobjectOptional
trusted_shipping_addresseslist of objectsOptional
make_defaultbooleanOptional

Response

Instrument successfully updated.
dataobject
metaobject
Response metadata.

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.